> ## Documentation Index
> Fetch the complete documentation index at: https://docs.scrapeautomate.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Creating Workflow



## OpenAPI

````yaml POST /api/workflow/create
openapi: 3.0.0
info:
  title: Scraper Route Documentation
  version: 1.0.0
servers:
  - url: https://app.scrapeautomate.com
    description: Production Server
security: []
paths:
  /api/workflow/create:
    post:
      summary: Create a new workflow
      operationId: createWorkflow
      parameters:
        - name: api_key
          in: query
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                config:
                  type: object
                  properties:
                    window_height:
                      type: number
                      minimum: 0
                      maximum: 2680
                    window_width:
                      type: number
                      minimum: 0
                      maximum: 3820
                    screenshot:
                      type: boolean
                    screenshot_full_page:
                      type: boolean
                    instructions:
                      type: array
                      items:
                        type: object
                        properties:
                          wait:
                            type: string
                            minLength: 1
                          fill:
                            type: object
                            properties:
                              selector:
                                type: string
                                minLength: 1
                              text:
                                type: string
                                minLength: 1
                              delay:
                                default: 0
                                type: number
                                minimum: 0
                            required:
                              - selector
                              - text
                          click:
                            type: string
                            minLength: 1
                          delay:
                            type: number
                            minimum: 1
                    url:
                      type: string
                    render:
                      default: false
                      type: boolean
                    block_resources:
                      type: string
                    webhook_url:
                      type: string
                  required:
                    - url
                  additionalProperties: false
                name:
                  type: string
              required:
                - config
                - name
              additionalProperties: false
      responses:
        '200':
          description: Workflow created successfully
        '400':
          description: Invalid input

````